"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var data_class_copy_1 = require("data-class-copy");
var Handler = (function () {
    function Handler(params) {
        Object.assign(this, params);
    }
    Handler_1 = Handler;
    Handler.parseExpressHandler = function (expressHandler) {
        return Handler_1.empty.copy({
            method: expressHandler.method,
            path: expressHandler.path,
            expressHandler: expressHandler
        });
    };
    Object.defineProperty(Handler.prototype, "fullPath", {
        get: function () {
            var path = "";
            var router = this.router;
            while (router != null) {
                path = router.path + path;
                router = router.router;
            }
            return path;
        },
        enumerable: true,
        configurable: true
    });
    var Handler_1;
    Handler.empty = new Handler_1({
        path: "",
        method: "",
        expressHandler: null
    });
    Handler = Handler_1 = tslib_1.__decorate([
        data_class_copy_1.dataClass
    ], Handler);
    return Handler;
}());
exports.Handler = Handler;
//# sourceMappingURL=handler.js.map