"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var express_1 = require("./express");
var handler_1 = require("./handler");
var router_1 = require("./router");
function parseExpressRoute(e) {
    if (express_1.isExpressHandler(e)) {
        return handler_1.Handler.parseExpressHandler(e);
    }
    return router_1.Router.parseExpressRouter(e);
}
exports.parseExpressRoute = parseExpressRoute;
function parseExpressApp(app) {
    return router_1.Router.parseExpressApp(app);
}
exports.parseExpressApp = parseExpressApp;
//# sourceMappingURL=route.js.map